Bug 48967 - Externalize Strings "catalina.base" and "catalina.home"
Externalize Strings "catalina.base" and "catalina.home"
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Catalina
6.0.26
PC Linux
: P2 enhancement (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-03-23 14:19 UTC by Marc Guillemot
Modified: 2010-09-02 11:07 UTC (History)
1 user (show)



Attachments
Patch externalizing strings (29.90 KB, text/plain)
2010-03-23 14:19 UTC, Marc Guillemot
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Guillemot 2010-03-23 14:19:02 UTC
Created attachment 25169 [details]
Patch externalizing strings

Strings "catalina.base" and "catalina.home" are present multiple times in the code base. Most of them should be replaced by a reference to a constant.
Comment 1 Rainer Jung 2010-07-16 11:32:32 UTC
Possible patch available for review under

http://people.apache.org/~rjung/patches/trunk-catalina_home_base.patch
Comment 2 Rainer Jung 2010-09-02 11:07:47 UTC
Thanks for the patch.

Applied to TC 7 in r991959 and r991965.

I won't propose for backport to TC 6.